Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional
Class Test

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.Java
                        |
                        +--org.apache.tools.ant.taskdefs.optional.Test

Deprecated. testlet has been abandoned in favor of JUnit by the Avalon community

public class Test
extends Java

This is a primitive task to execute a unit test in the org.apache.testlet framework.

Nested Class Summary
`protected static class` | `Test.TestletEntry` Deprecated. testlet to run

Field Summary
`protected java.util.Vector` | `m_tests` Deprecated.

Fields inherited from class org.apache.tools.ant.taskdefs.Java
`redirector, redirectorElement`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Test()` Deprecated.

Method Summary
`Test.TestletEntry` | `createTestlet()` Deprecated. add a declaration of a testlet to run
`void` | `execute()` Deprecated. Do the execution.
`void` | `setForceShowTrace(boolean forceShowTrace)` Deprecated.
`void` | `setShowBanner(java.lang.String showBanner)` Deprecated. a boolean value indicating whether a banner should be displayed when starting testlet engine; optional.
`void` | `setShowSuccess(boolean showSuccess)` Deprecated. a boolean value indicating whether tests should display a message on success; optional
`void` | `setShowTrace(boolean showTrace)` Deprecated. a boolean indicating that a stack trace is displayed on error (but not normal failure); optional.

Methods inherited from class org.apache.tools.ant.taskdefs.Java
`addAssertions, addConfiguredRedirector, addEnv, addSysproperty, addSyspropertyset, clearArgs, createArg, createBootclasspath, createClasspath, createJvmarg, createPermissions, createWatchdog, executeJava, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, maybeSetResultPropertyValue, run, setAppend, setArgs, setClassname, setClasspath, setClasspathRef, setDir, setError, setErrorProperty, setFailonerror, setFork, setInput, setInputString, setJar, setJvm, setJvmargs, setJVMVersion, setLogError, setMaxmemory, setNewenvironment, setOutput, setOutputproperty, setResultProperty, setSpawn, setTimeout, setupRedirector`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_tests

    protected java.util.Vector m_tests

  Deprecated.

Constructor Detail

### Test

    public Test()

  Deprecated.

Method Detail

### createTestlet

    public Test.TestletEntry createTestlet()

  Deprecated.
  add a declaration of a testlet to run

### setShowSuccess

    public void setShowSuccess(boolean showSuccess)

  Deprecated.
  a boolean value indicating whether tests should display a message on success; optional

### setShowBanner

    public void setShowBanner(java.lang.String showBanner)

  Deprecated.
  a boolean value indicating whether a banner should be displayed when starting testlet engine; optional.

### setShowTrace

    public void setShowTrace(boolean showTrace)

  Deprecated.
  a boolean indicating that a stack trace is displayed on error (but not normal failure); optional.

### setForceShowTrace

    public void setForceShowTrace(boolean forceShowTrace)

  Deprecated.

### execute

    public void execute()
                 throws BuildException

  Deprecated.
  Description copied from class: `Java`
  Do the execution.

  Overrides:
    `execute` in class `Java`
  Throws:
    `BuildException` - if failOnError is set to true and the application returns a non 0 result code

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.